## org.hibernate.internal.jaxb.mapping.orm
Class JaxbSequenceGenerator

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbSequenceGenerator

    public class JaxbSequenceGenerator

extends Object

Field Summary
`protected Integer` `allocationSize`
`protected String` `catalog`
`protected String` `description`
`protected Integer` `initialValue`
`protected String` `name`
`protected String` `schema`
`protected String` `sequenceName`

Constructor Summary
`JaxbSequenceGenerator()`

Method Summary
`Integer` `getAllocationSize()` Gets the value of the allocationSize property.
`String` `getCatalog()` Gets the value of the catalog property.
`String` `getDescription()` Gets the value of the description property.
`Integer` `getInitialValue()` Gets the value of the initialValue property.
`String` `getName()` Gets the value of the name property.
`String` `getSchema()` Gets the value of the schema property.
`String` `getSequenceName()` Gets the value of the sequenceName property.
`void` `setAllocationSize(Integer value)` Sets the value of the allocationSize property.
`void` `setCatalog(String value)` Sets the value of the catalog property.
`void` `setDescription(String value)` Sets the value of the description property.
`void` `setInitialValue(Integer value)` Sets the value of the initialValue property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setSchema(String value)` Sets the value of the schema property.
`void` `setSequenceName(String value)` Sets the value of the sequenceName property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### name

    protected String name

### sequenceName

    protected String sequenceName

### catalog

    protected String catalog

### schema

    protected String schema

### initialValue

    protected Integer initialValue

### allocationSize

    protected Integer allocationSize

Constructor Detail

### JaxbSequenceGenerator

    public JaxbSequenceGenerator()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getSequenceName

    public String getSequenceName()

  Gets the value of the sequenceName property.

  Returns:
    possible object is `String`

### setSequenceName

    public void setSequenceName(String value)

  Sets the value of the sequenceName property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getInitialValue

    public Integer getInitialValue()

  Gets the value of the initialValue property.

  Returns:
    possible object is `Integer`

### setInitialValue

    public void setInitialValue(Integer value)

  Sets the value of the initialValue property.

  Parameters:
    `value` - allowed object is `Integer`

### getAllocationSize

    public Integer getAllocationSize()

  Gets the value of the allocationSize property.

  Returns:
    possible object is `Integer`

### setAllocationSize

    public void setAllocationSize(Integer value)

  Sets the value of the allocationSize property.

  Parameters:
    `value` - allowed object is `Integer`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.